package project;

import app.db.schema.Column;

public class Outgoing {
    public Outgoing(){}
    
    private String id           = "";
    private String cnNo         = "";
    private String fiscalYear   = "";
    private String orgName      = "";
    private String orgAddress   = "";
    private String orgPhone     = "";
    private String orgCity      = "";
    private String destName     = "";
    private String destAddress  = "";
    private String destPhone    = "";
    private long destCityCode   = 0;
    private String destCity     = "";
    private long hubCityCode    = 0;
    private String hubCity      = "";
    private String type         = "";
    private String mou          = "";
    private int pkt             = 0;
    private int isOut           = 0;
    private double price        = 0;
    private double amount       = 0;
    private double discount     = 0;
    private double netAmount    = 0;
    private String orgLedgerName    = "";
    private String orgLedgerId      = "";
    private String orgLedgerAddress = "";
    private String orgLedgerPhoneNo = "";
    private String orgLedgerGroup   = "";
    private long longDate           = 0;
    private String podDate          = "";
    private String sentDate         = "";
    private long billDate           = 0;
    private String billNo           = "";
    private String createBy         = "";
    private long createOn           = 0;
    private String modifyBy         = "";
    private long modifyOn           = 0;
    private String menifestNo       = "";
    private long menifestDate       = 0;
    private double qnty             = 0;

    public String getId() {
        return id;
    }

    @Column(name = "ID")
    public void setId(String id) {
        this.id = id;
    }

    public String getCnNo() {
        return cnNo;
    }

    @Column(name = "CNNO")
    public void setCnNo(String cnNo) {
        this.cnNo = cnNo;
    }

    public String getFiscalYear() {
        return fiscalYear;
    }

    @Column(name = "FISCAL_YEAR")
    public void setFiscalYear(String fiscalYear) {
        this.fiscalYear = fiscalYear;
    }

    public String getOrgName() {
        return orgName;
    }

    @Column(name = "ORG_NAME")
    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOrgAddress() {
        return orgAddress;
    }

    @Column(name = "ORG_ADDRESS")
    public void setOrgAddress(String orgAddress) {
        this.orgAddress = orgAddress;
    }

    public String getOrgPhone() {
        return orgPhone;
    }

    @Column(name = "ORG_PHONE")
    public void setOrgPhone(String orgPhone) {
        this.orgPhone = orgPhone;
    }

    public String getOrgCity() {
        return orgCity;
    }

    @Column(name = "ORG_CITY")
    public void setOrgCity(String orgCity) {
        this.orgCity = orgCity;
    }

    public String getDestName() {
        return destName;
    }

    @Column(name = "DEST_NAME")
    public void setDestName(String destName) {
        this.destName = destName;
    }

    public String getDestAddress() {
        return destAddress;
    }

    @Column(name = "DEST_ADDRESS")
    public void setDestAddress(String destAddress) {
        this.destAddress = destAddress;
    }

    public String getDestPhone() {
        return destPhone;
    }

    @Column(name = "DEST_PHONE")
    public void setDestPhone(String destPhone) {
        this.destPhone = destPhone;
    }

    @Column(name = "DEST_CITY_CODE")
    public long getDestCityCode() {
        return destCityCode;
    }

    @Column(name = "DEST_CITY_CODE")
    public void setDestCityCode(long destCityCode) {
        this.destCityCode = destCityCode;
    }

    public String getDestCity() {
        return destCity;
    }

    @Column(name = "DEST_CITY")
    public void setDestCity(String destCity) {
        this.destCity = destCity;
    }

    public long getHubCityCode() {
        return hubCityCode;
    }

    @Column(name = "HUB_CITY_CODE")
    public void setHubCityCode(long hubCityCode) {
        this.hubCityCode = hubCityCode;
    }

    public String getHubCity() {
        return hubCity;
    }

    @Column(name = "HUB_CITY")
    public void setHubCity(String hubCity) {
        this.hubCity = hubCity;
    }

    public String getType() {
        return type;
    }

    @Column(name = "TYPE")
    public void setType(String type) {
        this.type = type;
    }

    public String getMou() {
        return mou;
    }

    @Column(name = "MOU")
    public void setMou(String mou) {
        this.mou = mou;
    }

    public int getPkt() {
        return pkt;
    }

    @Column(name = "PKT")
    public void setPkt(int pkt) {
        this.pkt = pkt;
    }

    public int getIsOut() {
        return isOut;
    }

    @Column(name = "IS_OUT")
    public void setIsOut(int isOut) {
        this.isOut = isOut;
    }

    public double getPrice() {
        return price;
    }

    @Column(name = "PRICE")
    public void setPrice(double price) {
        this.price = price;
    }

    public double getAmount() {
        return amount;
    }

    @Column(name = "AMOUNT")
    public void setAmount(double amount) {
        this.amount = amount;
    }

    public double getDiscount() {
        return discount;
    }

    @Column(name = "DISCOUNT")
    public void setDiscount(double discount) {
        this.discount = discount;
    }

    public double getNetAmount() {
        return netAmount;
    }

    @Column(name = "NET_AMOUNT")
    public void setNetAmount(double netAmount) {
        this.netAmount = netAmount;
    }

    public String getOrgLedgerName() {
        return orgLedgerName;
    }

    @Column(name = "ORG_LEDGER_NAME")
    public void setOrgLedgerName(String orgLedgerName) {
        this.orgLedgerName = orgLedgerName;
    }

    public String getOrgLedgerId() {
        return orgLedgerId;
    }

    @Column(name = "ORG_LEDGER_ID")
    public void setOrgLedgerId(String orgLedgerId) {
        this.orgLedgerId = orgLedgerId;
    }

    public String getOrgLedgerAddress() {
        return orgLedgerAddress;
    }

    @Column(name = "ORG_LEDGER_ADDRESS")
    public void setOrgLedgerAddress(String orgLedgerAddress) {
        this.orgLedgerAddress = orgLedgerAddress;
    }

    public String getOrgLedgerPhoneNo() {
        return orgLedgerPhoneNo;
    }

    @Column(name = "ORG_LEDGER_PHONENO")
    public void setOrgLedgerPhoneNo(String orgLedgerPhoneNo) {
        this.orgLedgerPhoneNo = orgLedgerPhoneNo;
    }

    public String getOrgLedgerGroup() {
        return orgLedgerGroup;
    }

    @Column(name = "ORG_LEDGER_GROUP")
    public void setOrgLedgerGroup(String orgLedgerGroup) {
        this.orgLedgerGroup = orgLedgerGroup;
    }

    public long getLongDate() {
        return longDate;
    }

    @Column(name = "LONGDATE")
    public void setLongDate(long longDate) {
        this.longDate = longDate;
    }

    public String getPodDate() {
        return podDate;
    }

    @Column(name = "POD_DATE")
    public void setPodDate(String podDate) {
        this.podDate = podDate;
    }

    public String getSentDate() {
        return sentDate;
    }

    @Column(name = "SENT_DATE")
    public void setSentDate(String sentDate) {
        this.sentDate = sentDate;
    }

    public long getBillDate() {
        return billDate;
    }

    @Column(name = "BILL_DATE")
    public void setBillDate(long billDate) {
        this.billDate = billDate;
    }

    public String getBillNo() {
        return billNo;
    }

    @Column(name = "BILL_NO")
    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getCreateBy() {
        return createBy;
    }

    @Column(name = "CREATE_BY")
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public long getCreateOn() {
        return createOn;
    }

    @Column(name = "CREATE_ON")
    public void setCreateOn(long createOn) {
        this.createOn = createOn;
    }

    public String getModifyBy() {
        return modifyBy;
    }

    @Column(name = "MODIFY_BY")
    public void setModifyBy(String modifyBy) {
        this.modifyBy = modifyBy;
    }

    public long getModifyOn() {
        return modifyOn;
    }

    @Column(name = "MODIFY_ON")
    public void setModifyOn(long modifyOn) {
        this.modifyOn = modifyOn;
    }

    public String getMenifestNo() {
        return menifestNo;
    }

    @Column(name = "MANIFEST_NO")
    public void setMenifestNo(String menifestNo) {
        this.menifestNo = menifestNo;
    }

    public double getQnty() {
        return qnty;
    }

    @Column(name = "QNTY")
    public void setQnty(double qnty) {
        this.qnty = qnty;
    }

    public long getMenifestDate() {
        return menifestDate;
    }

    @Column(name = "MENIFEST_DATE")
    public void setMenifestDate(long menifestDate) {
        this.menifestDate = menifestDate;
    }
}
